Subject: [emacs-devel] emacs-23.0.96 make install misbehavior
From: "Nelson H. F. Beebe" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 9 Jul 2009 14:12:58 -0600 (MDT)

I'm doing "make install" for several builds of emacs-23.0.96, and I
just noticed this output (with the GNU default of prefix=/usr/local):

chmod -R a+r \
	/usr/local/share/emacs/23.0.96 \
	/usr/local/share/emacs/site-lisp \
	/usr/local/share/emacs/23.0.96/etc \
	/usr/local/share/emacs/23.0.96/lisp \
	/usr/local/share/info

While it is appropriate to run chmod at installation time for a
package's own files, it is HIGHLY INAPPROPRIATE to run chmod on
directories and files belonging to other packages.  The directories

	/usr/local/share/emacs/site-lisp
	/usr/local/share/info

need to be removed from the install command chmod processing.

Their contents, and file permissions, are not the business of
emacs-x.y.z release installations.  A given site, including ours, may
have local reasons for nondefault permissions in those directories.

-------------------------------------------------------------------------------
- Nelson H. F. Beebe                    Tel: +1 801 581 5254                  -
- University of Utah                    FAX: +1 801 581 4148                  -
- Department of Mathematics, 110 LCB    Internet e-mail: [email-masked]  -
- 155 S 1400 E RM 233                       [email-masked]  [email-masked] -
- Salt Lake City, UT 84112-0090, USA    URL: http://www.math.utah.edu/~beebe/ -
-------------------------------------------------------------------------------